package com.teamchat.client.sdk.demo;

import com.teamchat.client.sdk.Room;
import com.teamchat.client.sdk.TeamchatAPI;
import com.teamchat.client.sdk.chatlets.TextChatlet;
import com.teamchat.client.sdk.impl.RoomDetails;
import com.teamchat.client.sdk.impl.RoomMember;
import com.teamchat.client.sdk.impl.TeamchatAPIImpl;

/**
 * Creates a new room between bot, roomMember1 and roomMember2
 * and retrieves the members of the room.
 * 
 * Please remember to update the above 3 parameter viz.
 * authkey, roomMember1, roomMember2.
 */
public class GetRoomMembersDemo {
	
	public static final String authKey = "samplekey";
	public static final String roomMember1 = "user1@example.com";
	public static final String roomMember2 = "user2@example.com";
	
	
	public static void main(String[] args) throws Exception {
		TeamchatAPI api = TeamchatAPIImpl.fromFile("config.json")
				.setAuthenticationKey(authKey);
		Room r = api.context().create().welcome("Hi, Welcome to new Room.")
				.add(roomMember1)
				.add(roomMember2);
		
		api.perform(r.post(new TextChatlet("Hi there")));
		
		RoomDetails roomDetails=api.getRoomMembers(r, "1", "50");
		long totalMembers=roomDetails.getTotalMembers();
		long parsedMembers=0;

		long currentPage=1;
		while(parsedMembers<totalMembers){
			RoomDetails rooDetails=api.getRoomMembers(r, ""+currentPage, "50");
			for (RoomMember roomMember: rooDetails.getRoomMembers()){
					System.out.println("Room Member : "+roomMember.getEmail());
				parsedMembers++;
			}
			currentPage++;
		}
	}

}
